<?php 
	session_start();	
	include ('../config.php');	
	if ($enable_access_to_publisher == "all") 
		include ('../includes/access_isset.php');
	else 
		include ('../includes/access_super.php');
	$thisPageTitle = "Publisher Listing";
?>

<html>

<head><?php include ('../includes/header.php'); ?></head>

<body>	
	
	<?php include ('../includes/loggedinfo.php'); ?>
	
	<hr>
		
	<?php			

		if (isset($_GET["del"]))// if delete
		{
			$get_id_del = $_GET["del"];
			mysqli_query($GLOBALS["conn"],"delete from eg_publisher where 43pubid='$get_id_del'");
		}
				
		if (isset($_REQUEST["submitted"]))// if submitted
		{
			$publisher1 = $_POST["publisher1"];
			$acronym1 = $_POST["acronym1"];		
			
			if ($_REQUEST["submitted"] == 'INSERT')//if insert
			{
				$query_publisher = "select 43acronym from eg_publisher where 43acronym='$acronym1'";
				$result_publisher = mysqli_query($GLOBALS["conn"],$query_publisher);
				$num_results_affected_publisher = mysqli_num_rows($result_publisher);
				
				echo "<table class=whiteHeader><tr><td>";
				if ($num_results_affected_publisher == 0)
				{
					if (!empty($acronym1) && (!empty($publisher1)))
					{
						mysqli_query($GLOBALS["conn"],"insert into eg_publisher values(DEFAULT,'$acronym1','$publisher1')");
						echo "<img src='../images/tick.gif'><br/><br/><div style='text-align:center;color:blue;'>The publisher <b>$publisher1 ($acronym1)</b> has been inputed into the database !</div>";
					}
					
					else
						echo "<img src='../images/caution.png'><br/><br/><div style='text-align:center;color:red;'>Your input has been cancelled.Check if any field(s) left emptied before posting.</div>";
				}
				
				else if ($num_results_affected_publisher >= 1)
					echo "<img src='../images/caution.png'><br/><br/><div style='text-align:center;color:red;'>Your input has been cancelled. Duplicate publisher detected.</div>";
				
				echo "</td></tr></table>";		
			}		

			else if ($_REQUEST["submitted"] == 'UPDATE')//if update
			{
				$id1 = $_POST["id1"];

				echo "<table class=whiteHeader><tr><td>";
				if (!empty($publisher1) && !empty($acronym1))
				{
					mysqli_query($GLOBALS["conn"],"update eg_publisher set 43publisher='$publisher1', 43acronym='$acronym1' where 43pubid=$id1");
					echo "<img src='../images/tick.gif'><br/><br/>The record has been updated.";					
				}
				else
					echo "<img src='../images/caution.png'><br/><br/><div style='text-align:center;color:red;'>Error. Please make sure there were no empty field(s).<br/>The record has been restored to it original state.</div>";	
				echo "</td></tr></table>";	
			}
		}

		if (isset($_GET["edt"]))//get info if update to populate fields
		{
			$get_id_upd = $_GET["edt"];

			$query3 = "select 43publisher, 43acronym from eg_publisher where 43pubid = $get_id_upd";
			$result3 = mysqli_query($GLOBALS["conn"],$query3);
			$myrow3 = mysqli_fetch_array($result3);
			$publisher3 = $myrow3["43publisher"];
			$acronym3 = $myrow3["43acronym"];	
			$id3 = $get_id_upd;
		}
		else
		{
			$publisher3 = "";
			$acronym3 = "";	
			$id3 = "";
		}
	
	?>

	<table class=whiteHeader>
		<tr class=yellowHeaderCenter><td><b>Publisher Addition</b></td></tr>
		<tr class=greyHeaderCenter><td colspan=2><br/>
			<form action="addpublisher.php" method="post" enctype="multipart/form-data">
				<b>Publisher: </b>
				<br/><input type="text" name="publisher1" style="width:300" maxlength="70" value="<?php if ($publisher3 <> NULL) {echo $publisher3;} ?>"/>
				
				<br/><br/><b>Acronym: </b>
				<br/><input type="text" name="acronym1" style="width:300" maxlength="50" value="<?php if ($acronym3 <> NULL) {echo $acronym3;} ?>"/>
				
				<input type="hidden" name="id1" value="<?php if ($id3 <> NULL) {echo $id3;} ?>" />
				<input type="hidden" name="submitted" value="<?php if (isset($_GET['edt'])) echo "UPDATE"; else echo "INSERT";?>" />				
				<br/><br/><input type="submit" name="Submit1" value="<?php if (isset($_GET['edt'])) echo "UPDATE"; else echo "INSERT";?>" />	
			</form>			
		</td>
		</tr>			
	</table>
	
	<br/><br/>

	<table class=whiteHeader>
		<tr class=yellowHeaderCenter>
			<td colspan=4><b>Publisher Controls :</b></td>
		</tr>
		
		<tr class=whiteHeaderCenterUnderline>
			<td width=5%></td>
			<td style='text-align:left;'>Publisher</td>
			<td width=150>Acronym</td>
			<td width=150>Options</td>
		</tr>
		
		<?php			
			$query_fdb = "select 43pubid, 43acronym, 43publisher from eg_publisher order by 43acronym";
			$result_fdb = mysqli_query($GLOBALS["conn"],$query_fdb);
			$n = 1;
			while ($myrow_fdb = mysqli_fetch_array($result_fdb))
				{
					$pubid_fdb = $myrow_fdb["43pubid"];
					$acronym_fdb = $myrow_fdb["43acronym"];
					$publisher_fdb = $myrow_fdb["43publisher"];
					
					echo "<tr class=yellowHover>";
						echo "<td>$n</td>";
						echo "<td style='text-align:left;'>$publisher_fdb</td>";
						echo "<td>$acronym_fdb</td>";
						echo "<td>";
							echo "<a title='Delete this record' href='addpublisher.php?del=$pubid_fdb' onclick=\"return confirm('Are you sure ? You are advisable to change all items based on this publisher to the another before proceeding.');\"><img src='../images/delete.gif'></a>";
							echo " <a title='Update this record' href='addpublisher.php?edt=$pubid_fdb'><img src='../images/pencil.gif'></a>";
						echo "</td>";
					echo "</tr>";
					
					$n = $n + 1;
				}
		?>
	</table>

	<hr>

	<?php include ('../includes/footer.php'); ?>
	
</body>

</html>