<?php 
	session_start();	
	include ('../config.php');
	include ('../includes/access_super.php');	
	$thisPageTitle = "Change Eligibility";
?>

<html>

<head><?php include ('../includes/header.php'); ?></head>

<body>
	
	<?php include ('../includes/loggedinfo.php'); ?>	
	
	<hr>
	
	<?php	    
		
		if (isset($_REQUEST['submitted'] ) and $_REQUEST['submitted'] == 'Enforce')
		{
			if ($_REQUEST['usertype'] != '')
			{
				$usertype = $_POST["usertype"];
				$usertypedesc = $_POST["usertypedesc"];
				$max_loanitem = $_POST["max_loanitem"];
				
				$queryid = "select id from eg_auth_eligibility where usertype='$usertype'";
				$resultid = mysqli_query($GLOBALS["conn"],$queryid);
				$num_results_affected = mysqli_num_rows($resultid);
				
				if ($num_results_affected == 0)
				{				
					mysqli_query($GLOBALS["conn"],"insert into eg_auth_eligibility values(DEFAULT,'$usertype ','$usertypedesc',$max_loanitem)");
					echo "<script>window.alert(\"Record has been inputted into the database.\");</script>";
				}						

				else if ($num_results_affected == 1)
					echo "<script>window.alert(\"Duplicate user type detected.\");</script>";
			}
			else
				echo "<script>window.alert(\"User type cannot be empty.\");</script>";
		}
		
		if (isset($_REQUEST['submitted'] ) and $_REQUEST['submitted'] == 'Update')
		{
			if ($_REQUEST['usertype'] != '')
			{
				$usertype = $_POST["usertype"];
				$usertypedesc = $_POST["usertypedesc"];
				$max_loanitem = $_POST["max_loanitem"];
				mysqli_query($GLOBALS["conn"],"update eg_auth_eligibility set usertype='$usertype', usertypedesc='$usertypedesc', max_loanitem=$max_loanitem where id=".$_POST['aid']);			
			}
			else
				echo "<script>window.alert(\"User type cannot be empty.\");</script>";
		}		
		
		if (isset($_GET['aid']))
		{
			$queryA = "select * from eg_auth_eligibility where id=".$_GET['aid'];
			$resultA = mysqli_query($GLOBALS["conn"],$queryA);
			while ($myrowA = mysqli_fetch_array($resultA))
			{
				$usertypeA = $myrowA["usertype"];
				$usertypedescA = $myrowA["usertypedesc"];
				$max_loanitemA = $myrowA["max_loanitem"];
			}			
		}
		
	?>
	
	<table class=whiteHeader>
		<tr class=yellowHeaderCenter><td><b>Eligibility status </b></td></tr>
		
		<tr class=greyHeaderCenter><td width=370><br/>	
		<form action="chanelibility.php" method="post" enctype="multipart/form-data">
			<table style='margin-left:auto;margin-right:auto;'>
				<tr>
				<td><b>User Type: </b></td>
				<td><input type="text" <?php if (isset($usertypeA) and (($usertypeA == 'SUPER') or ($usertypeA == 'STAFF') or ($usertypeA == 'FALSE'))) echo "readonly=readonly";?> name="usertype" size="35" maxlength="70" value="<?php if (isset($usertypeA)) echo $usertypeA;?>"/></td>
				</tr>
				<tr>
				<td><b>User Type Description:</b></td>
				<td><input type="text" name="usertypedesc" size="35" maxlength="70" value="<?php if (isset($usertypedescA)) echo $usertypedescA;?>"/></td>
				</tr>

				<tr>
				<td><b>Total number of allowed bookmarked items: </b></td>
				<td><input type="text" name="max_loanitem" size="35" maxlength="70" value="<?php if (isset($max_loanitemA) and $max_loanitemA != '') echo $max_loanitemA; else echo "0";?>"/></td>
				</tr>
			
				<tr><td colspan='2' style='text-align:center;'><br/>
					<?php
					if (!isset($_GET['aid']))
						{
							echo "<input type=\"submit\" name=\"submitted\" value=\"Enforce\" /> ";
							echo "<input type=\"button\" name=\"reset\" value=\"Reset\" onclick=\"window.location='chanelibility.php';\"/>";
						}
					else
						{
							echo "<input type=\"hidden\" name=\"aid\" value='".$_GET['aid']."' />";	
							echo "<input type=\"submit\" name=\"submitted\" value=\"Update\" /> ";	
							echo "<input type=\"button\" name=\"reset\" value=\"Cancel\" onclick=\"window.location='chanelibility.php';\"/>";
						}
					?>					
				</td></tr>
			</table>
		</form>	
		</td></tr>	
	</table>
		
	<br/><br/>

	<table width='70%' class=whiteHeader>
		<tr class=yellowHeaderCenter><td colspan=6><b>Type Listing and Controls :</b></td></tr>
		<tr class=whiteHeaderCenter style='text-decoration:underline;'>
			<td width=25 ></td>
			<td width=35%>User Type</td>
			<td width=20%>User Type Description</td>
			<td>Max Bookmarked Item</td>
			<td>Options</td>
		</tr>

		<?php
			$query_fdb = "select * from eg_auth_eligibility";
			$result_fdb = mysqli_query($GLOBALS["conn"],$query_fdb);
			$n = 1;
			while ($myrow_fdb = mysqli_fetch_array($result_fdb))
				{
					$id_fdb = $myrow_fdb["id"];
					$usertype_fdb = $myrow_fdb["usertype"];
					$usertypedesc_fdb = $myrow_fdb["usertypedesc"];
					$max_loanitem_fdb = $myrow_fdb["max_loanitem"];
					echo "<tr class=yellowHover><td>$n</td><td>$usertype_fdb</td><td>$usertypedesc_fdb</td>";
					echo "<td>$max_loanitem_fdb</td>";
					echo "<td><a title='Edit this eligibility' href='chanelibility.php?aid=$id_fdb'><img src='../images/pencil.gif'></a></td></tr>";
					$n = $n + 1;
				}
		?>
	</table>
	
	<br/>
	
	<div style='text-align:center;'><a class='sButton' href='../admin/chanuser.php'><i class='fas fa-arrow-circle-left'></i> Back to user account page</a></div>
	
	<hr>
	
	<?php include ('../includes/footer.php');?>

</body>

</html>