<?php 
	session_start(); 	
	include ('../config.php');	
	include ('../includes/access_isset.php');
	$thisPageTitle  = "Keyword Stats";
?>

<html>

<head><?php include ('../includes/header.php'); ?></head>

<body>
	
	<?php include ('../includes/loggedinfo.php'); ?>

	<br/>
	
	<div style="text-align:center">

		<?php
			if(isset($_GET['show']))
				$show = $_GET['show'];
			else 
				$show = null;

			if (isset($_GET['page'])) 
				$currentPage = $_GET['page'];
			
			include ('../includes/paging-p1.php');
																				
			if ($show == 'popular')
				$query_userlog = "select * from eg_userlog order by 37freq desc LIMIT $offset, $rowsPerPage";			
			else
				$query_userlog = "select * from eg_userlog order by id desc LIMIT $offset, $rowsPerPage";
			
			$result_userlog = mysqli_query($GLOBALS["conn"],$query_userlog);			
			
			$query_count = "select count(*) as total from eg_userlog order by id desc";												
			$result_count = mysqli_query($GLOBALS["conn"],$query_count);
			
			$paging_type = 2;
			include ('../includes/paging-p2.php');																			

			echo "<table class=whiteHeaderNoCenter>";
				echo "<tr class=yellowHeaderCenter><td colspan=4>";
					echo "Total recorded unique search terms : <b>$num_results_affected_paging</b>";
					echo "<br/>Sort by: ";
						if (isset ($_GET['show']) and $show == 'popular')
							echo "<a href='adsreport_keyworddetails.php?show=latest'>Latest keyword</a> | <b>Keyword popularity</b>";

						else 
							echo "<b>Latest keyword</b> | <a href='adsreport_keyworddetails.php?show=popular'>Keyword popularity</a>";
				echo "</td></tr>";
				echo "<tr class=whiteHeaderNoCenter><td></td><td>Terms</td><td>Total Hits</td><td>Last used</td></tr>";
																
				$n = $offset + 1;				
				while ($myrow_userlog = mysqli_fetch_array($result_userlog))
				{
					echo "<tr class=yellowHover><td>$n</td><td>".$myrow_userlog["37keyword"]."</td><td>".$myrow_userlog["37freq"]."</td><td>".$myrow_userlog["37lastlog"]."</td></tr>";
					$n = $n +1 ;
				}
			echo "</table>";
			
			//-----------------------paging 3 start
			echo "<table class=pagingHeader>";
				echo "<tr>";			
				if ($maxPage > 1)
				{
					if ($pageNum > 1)
					{
						$page = $pageNum - 1;
						$prev = " [ <a href=\"$self?page=$page&show=$show\">Prev</a> ] ";					
						$first = " [ <a href=\"$self?page=1&show=$show\">First</a> ] ";
					} 
					else
					{
						$prev  = ' [Prev] ';
						$first = ' [First] ';
					}

					if ($pageNum < $maxPage)
					{
						$page = $pageNum + 1;
						$next = " [ <a href=\"$self?page=$page&show=$show\">Next</a> ] ";					
						$last = " [ <a href=\"$self?page=$maxPage&show=$show\">Last</a> ] ";
					} 
					else
					{
						$next = ' [Next] ';
						$last = ' [Last] ';
					}

					echo "<td style='text-align:right;width:33%;'>" . $first . $prev . "</td><td style='text-align:center;width:34%;'> Page <strong>$pageNum</strong> of <strong>$maxPage</strong> </td><td style='text-align:left;width:33%;'>" . $next . $last . "</td>";
				}			
				echo "</tr>";
			echo "</table>";	
			//-------------- paging 3 ended											
		?> 
	
		<br/><br/>
	
		<a class='sButton' href='adsreport.php?toggle=3'><i class='fas fa-arrow-circle-left'></i> Back to report page</a>				

	</div>	

	<hr>

	<?php include ('../includes/footer.php');?>

</body>

</html>