<?php 
	session_start();
	include ('config.php');
	include ('functions.php');
    include ('./includes/del_code.php');
    require_once 'includes/mobiledetect.php';
	$detect = new Mobile_Detect;	
	$thisPageTitle = "Year -Details";
?>

<html>

<head>
	<?php
		if ($detect->isMobile())
			echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1\">";
	?>	
	<?php include ('includes/header.php'); ?>
</head>

<body>

	<?php 		
		include ('./includes/loggedinfo.php');          
            
		$get_subacr = $_GET["subacr"];
		if (isset($_GET['page'])) $currentPage = $_GET['page'];
		
		include ('./includes/paging-p1.php');
		
		$query1 = "select eg_item.id as id, eg_item.38title as 38title, eg_item.38typeid as 38typeid, eg_item.38source as 38source from eg_item left join eg_item2 on eg_item.id=eg_item2.eg_item_id where eg_item2.38publication_c like '$get_subacr' order by 38title LIMIT $offset, $rowsPerPage";
		$result1 = mysqli_query($GLOBALS["conn"],$query1);
		
		$query_count = "select count(eg_item.id) as total from eg_item left join eg_item2 on eg_item.id=eg_item2.eg_item_id where eg_item2.38publication_c like '$get_subacr'";
		$result_count = mysqli_query($GLOBALS["conn"],$query_count);

		$paging_type = 2;
		include ('./includes/paging-p2.php');	
	?>
						
	<hr>
	
	<div style='text-align:center;'>

		<table class=yellowHeader>
			<tr><td>Year: 
			<?php 
				echo "<b>".$_GET["subacr"]."</b> (<i>$num_results_affected_paging items</i>)";
			?>
			</td></tr>
		</table>

		<table class=whiteHeaderNoCenter>
			<tr class=whiteHeader style='text-decoration:underline;'><td></td><td>Title</td><td width=150>Type</td></tr></tr>
			<?php																												
					$n = $offset + 1;
					
					while ($myrow1 = mysqli_fetch_array($result1))
					{
						echo "<tr class=yellowHover>";
						
						$id2 = $myrow1["id"];
						$type2 = $myrow1["38typeid"];
						if ($searcher_marker_to_hide == null)
							$title2 = $myrow1["38title"];
						else
							$title2 = str_replace($searcher_marker_to_hide, "", $myrow1["38title"]);
						$source2 = $myrow1["38source"];
						
						echo "<td width=40>$n</td><td>";
						if (!isset($_SESSION['username']))
							{echo "<a class=thisonly href='detailsg.php?det=$id2'>$title2</a>";}
						else
							{echo "<a class=thisonly href='details.php?det=$id2&delr=pb&subacr=".$_GET['subacr']."&page=$pageNum'>$title2</a>";}
						echo"</td><td>";						
	
						echo getTypeNameFromID($type2);
						
						echo "</td></tr>";
																
						$n = $n +1 ;
					}											
			?>
		</table>
		
		<?php
			//-----------------------paging 3 start
			echo "<table class=pagingHeader>";
				echo "<tr>";
				if ($pageNum > 1)
				{
					$page = $pageNum - 1;
					$prev = " [ <a href=\"$self?subacr=$get_subacr&page=$page\">Prev</a> ] ";				
					$first = " [ <a href=\"$self?subacr=$get_subacr&page=1\">First</a> ] ";
				} 
				else
				{
					$prev  = ' [Prev] ';
					$first = ' [First] ';
				}
		
				if ($pageNum < $maxPage)
				{
					$page = $pageNum + 1;
					$next = " [ <a href=\"$self?subacr=$get_subacr&page=$page\">Next</a> ] ";					
					$last = " [ <a href=\"$self?subacr=$get_subacr&page=$maxPage\">Last</a> ] ";
				} 
				else
				{
					$next = ' [Next] ';
					$last = ' [Last] ';
				}
			
				if ($num_results_affected_paging > $rowsPerPage)
					echo "<td style='text-align:right;width:33%;'>" . $first . $prev . "</td><td style='text-align:center;width:34%;'> Page <strong>$pageNum</strong> of <strong>$maxPage</strong> </td><td style='text-align:left;width:33%;'>" . $next . $last . "</td>";
					
				echo "</tr>";
			echo "</table>";
			//-------------- paging 3 ended	
		?>
		
		<br/>
		
		<?php
			echo "<a class='sButton' href='yearbrowser.php'><i class='fas fa-arrow-circle-left'></i> Go to Year browser</a> ";
		?>		
		
	</div>
	
	<hr>
	
	<?php include ('./includes/footer.php');?>
	
</body>

</html>