<?php

session_start();
include ('config.php');

// Set the maximum number of downloads (actually, the number of page loads)
$maxdownloads = $max_download_allowed;
// Set the key's viable duration in seconds (86400 seconds = 24 hours)
$maxtime = $max_time_link_availability;

//if(get_magic_quotes_gpc()) {
//	$id = stripslashes($_GET['id']);
//}else{
	$id = $_GET['id'];
//}

// Get the key, timestamp, and number of downloads from the database
$query = sprintf("SELECT * FROM eg_downloadkey WHERE uniqueid= '%s'", mysqli_real_escape_string($conn,$id));		
$result = mysqli_query($conn,$query);
$row = mysqli_fetch_array($result);
if (!$row) 
{ 
	echo "The download key you are using is invalid.";
}
else
{
	$timecheck = date('U') - $row['timestamped'];
	
	if ($timecheck >= $maxtime) {
		echo "This key has expired (exceeded time allotted).<br />";
	}else{
		$downloads = $row['downloads'];
		$downloads += 1;
		if ($downloads > $maxdownloads) {
			echo "This key has expired (exceeded allowed downloads).<br />";
		}
		else{
			$sql = sprintf("UPDATE eg_downloadkey SET downloads = '".$downloads."' WHERE uniqueid= '%s'", mysqli_real_escape_string($conn,$id));
			$incrementdownloads = mysqli_query($conn,$sql);
				
			ob_start();
			//download : application/octet-stream, inline : application/pdf
			if ($_GET['t'] == 'p')
			{
				$mm_type="application/pdf";
				$file = $row['pdocs'];
				$filename = "guest.pdf"; 
				if ($_SESSION['fromapp'] == true)
					mysqli_query($GLOBALS["conn"],"insert into eg_item_download values(DEFAULT,".$row['eg_item_id'].",'".session_id()."','".date("D d/m/Y")."','".$_SERVER["REMOTE_ADDR"]."','app')");
				else
					mysqli_query($GLOBALS["conn"],"insert into eg_item_download values(DEFAULT,".$row['eg_item_id'].",'".session_id()."','".date("D d/m/Y")."','".$_SERVER["REMOTE_ADDR"]."','web')");
			}
			else if ($_GET['t'] == 'd')
			{
				$mm_type="application/pdf";
				$file = $row['docs'];
				$filename = "full.pdf"; 
				if ($_SESSION['fromapp'] == true)
					mysqli_query($GLOBALS["conn"],"insert into eg_item_download values(DEFAULT,".$row['eg_item_id'].",'".session_id()."','".date("D d/m/Y")."','".$_SERVER["REMOTE_ADDR"]."','app')");
				else
					mysqli_query($GLOBALS["conn"],"insert into eg_item_download values(DEFAULT,".$row['eg_item_id'].",'".session_id()."','".date("D d/m/Y")."','".$_SERVER["REMOTE_ADDR"]."','web')");
			}
			else if ($_GET['t'] == 'a')
			{
				$mm_type="image/jpg";
				$file = $row['albums'];
				$filename = "image.jpg"; 
			}
			else
			{
				echo "Invalid download. This is not permitted.";
				exit;
			}

			header("Cache-Control: public, must-revalidate");
			header("Pragma: no-cache");
			header("Content-Type: " . $mm_type);
			header("Content-Length: " .(string)(filesize($file)) );
			header('Content-Disposition: inline; filename="'.$filename.'"');//can be set to attachment or inline
			header("Content-Transfer-Encoding: binary\n"); 
			ob_end_clean();
			readfile($file);

			}
		}
	}
?>